# sb::Text::autolink
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2005 SimpleBoxes/SerendipityNZ Ltd. ==

# ======================================
package sb::Text::autolink;
use strict;
use sb::Text::autobreak ();
use base qw( sb::Text::autobreak );
use vars qw( $VERSION );
$VERSION = '0.00';
# 0.00 [2005/11/14] generated
# --------------------------------------
# // defines / static variables
sub LINK_ATTRIBUTE (){ ' target="_blank"' };
# --------------------------------------
# // public functions - class methdos
sub autolink
{
	my $class  = shift;
	my $text   = $class->autobreak(shift);
	my $option = shift;
	$option = LINK_ATTRIBUTE if (!$option or ref($option));
	$text =~ s/s?https?:\/\/[-_.!~*\'()a-zA-Z0-9;\/?:\@&=+\$,%#]+/<a href="$&"$option>$&<\/a>/g;
	return $text;
}
1;
__END__
